## netpipes 4.2

=== Makefile ===
#    faucet and hose: network pipe utilities
#    Copyright (C) 1992,1993 Robert Forsman
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# You probably want to change this:
#INSTROOT = ${HOME}
INSTROOT = /depot/collections0/netpipes4.1
#INSTROOT = /usr/local
INSTBIN = ${INSTROOT}/bin
INSTMAN = ${INSTROOT}/man

# For those who wish to use gcc instead of the vendor's compiler.
#CC=gcc -Wall

# This might be necessary for HPUX
#LDLIBS=-lBSD

# I'm told this is required for Sequent SysV
#LDLIBS=-lsocket -linet -lnsl

# This will be necessary for Sun Solaris (the abomination)
# Also necessary for SCO
#LDLIBS=-lsocket -lnsl

######################################################################
# CFLAGS
######################################################################

# For SunOS, add -DNO_MEMMOVE.  It doesn't have this very handy function.

# If you don't want to use (or don't have) fcntl(2) try the -DUSE_IOCTL.

# Add -DNO_STRERROR if your system doesn't have strerror(3)

# Add -DPOSIX_SIG for POSIX signal handling, or -DSYSV for reliable signals
# under SVR3.

# Add -DNO_SETSID if your system doesn't have the setsid() system call.
# (that system call is used by the -daemon argument to detach faucet from
# the controlling terminal)

# SunOS 4.1.4
#CFLAGS = -DUSE_IOCTL -DNO_MEMMOVE -DNO_STRERROR $(CDEBUGFLAGS)

# GNU libc Linux (i.e. RedHat 5.0)
#CFLAGS = -DPOSIX_SIG -DHAVE_INET_ATON $(CDEBUGFLAGS)

# Linux (developed with RedHat 4.2, libc5)
CFLAGS = -DUSE_IOCTL -DPOSIX_SIG -DHAVE_INET_ATON $(CDEBUGFLAGS)

# SGI
#CFLAGS = -DSYSV $(CDEBUGFLAGS)

# Digital Unix ?
#CFLAGS = -DSYSV $(CDEBUGFLAGS)

# Solaris 2.5
#CFLAGS = -DPOSIX_SIG $(CDEBUGFLAGS)

# FreeBSD
#CFLAGS = -DPOSIX_SIG $(CDEBUGFLAGS)

# AIX 4.1.4 and 3.2.5
#CFLAGS = -DPOSIX_SIG -DAIX $(CDEBUGFLAGS)

# DG/UX R4.11MU04 -- AViiON mc88110
#CFLAGS = -DPOSIX_SIG $(CDEBUGFLAGS)

# GNU Win32, the unix-like environment for Win95,
# but it doesn't have Unix domain sockets.
# Does not work yet (I suspect there are bugs in GNUWin32).
#CFLAGS = -DNOUNIXSOCKETS -DPOSIX_SIG $(CDEBUGFLAGS)

# gcc can handle both -O and -g at once
#CDEBUGFLAGS = -g # -Wall -DDEBUG
CDEBUGFLAGS = -O

######################################################################

FOBJS = faucet.o common.o version.o
HOBJS = hose.o common.o version.o memmove.o
SOBJS = sockdown.o version.o
GOBJS = getpeername.o version.o
TOBJS = timelimit.o version.o
EOBJS = encapsulate.o common.o version.o memmove.o
SSLOBJS = ssl-auth.o ssl-criteria.o common.o version.o memmove.o

SSLDIR = /usr/local/ssl
SSLINC = -I${SSLDIR}/include
#SSLLIB = -L${SSLDIR}/lib -lssl -lcrypto
SSLLIB = -L../SSLeay-0.8.1 -lssl -lcrypto

MANPAGES = netpipes.1 faucet.1 hose.1 \
	sockdown.1 getpeername.1 timelimit.1 encapsulate.1 \
	ssl-auth.1
PROGRAMS = faucet hose sockdown getpeername timelimit encapsulate

all	: ${PROGRAMS}

faucet	: ${FOBJS}
	${CC} ${CFLAGS} -o $@ ${FOBJS} ${LDLIBS}

hose	: ${HOBJS}
	${CC} ${CFLAGS} -o $@ ${HOBJS} ${LDLIBS}

sockdown: ${SOBJS}
	${CC} ${CFLAGS} -o $@ ${SOBJS} ${LDLIBS}

getpeername: ${GOBJS}
	${CC} ${CFLAGS} -o $@ ${GOBJS} ${LDLIBS}

timelimit: ${TOBJS}
	${CC} ${CFLAGS} -o $@ ${TOBJS} ${LDLIBS}

encapsulate: ${EOBJS}
	${CC} ${CFLAGS} -o $@ ${EOBJS} ${LDLIBS}

ssl-auth: ${SSLOBJS}
	${CC} ${CFLAGS} -o $@ ${SSLOBJS} ${LDLIBS} ${SSLLIB}

ssl-auth.o: ssl-auth.c
	${CC} ${CFLAGS} ${SSLINC} -c $<

ssl-criteria.o: ssl-criteria.c
	${CC} ${CFLAGS} ${SSLINC} -c $<

install : all
	test -d ${INSTROOT}  || mkdir ${INSTROOT}
	test -d ${INSTBIN}  || mkdir ${INSTBIN}
	cp ${PROGRAMS} ${INSTBIN}/
	- rm -f ${INSTBIN}/getsockname
	ln -s getpeername ${INSTBIN}/getsockname
	- [ -x ssl-auth ] && cp ssl-auth ${INSTBIN}/
	test -d ${INSTMAN}  || mkdir ${INSTMAN}
	test -d ${INSTMAN}/man1  || mkdir ${INSTMAN}/man1
	cp ${MANPAGES} ${INSTMAN}/man1/

#

clean	:
	rm -f ${FOBJS} ${HOBJS} ${SOBJS} ${GOBJS} ${TOBJS} ${EOBJS} ${SSLOBJS}

spotless: clean
	rm -f *~ core ${PROGRAMS}

#

common.o encapsulate.o faucet.o getpeername.o hose.o sockdown.o \
	ssl-auth.o ssl-criteria.o timelimit.o: common.h
encapsulate.o hose.o ssl-auth.o: memmove.h
ssl-auth.o ssl-critera.o: ssl-criteria.h

#
# These targets aren't for normal builders,
# just for me when I make a distribution.
#

HTML2MAN = perl ./html2man.perl

manpages:
	for i in *.html; do \
		$(HTML2MAN) < $$i > `basename $$i .html`.1; \
	done

#sslexp-readkey: sslexp-readkey.c
#	$(CC) ${CFLAGS} ${SSLINC} -o $@ sslexp-readkey.c ${LDLIBS} ${SSLLIB}

#sslexp-readcert: sslexp-readcert.c
#	$(CC) ${CFLAGS} ${SSLINC} -o $@ sslexp-readcert.c ${LDLIBS} ${SSLLIB}

#

.PHONY: release

release:
	- rm -rf release
	mkdir release
	cd release; \
	ln -s ../RCS .; co -r$(RELEASE) RCS/*,v; rm RCS ; chmod u+w *; \
	ln ../COPYING . ; make HTML2MAN="perl ../html2man.perl" manpages
	cd release; tar cf ../netpipes-$(RELEASE)-noexport.tar *
	cd release; tar cf ../netpipes-$(RELEASE)-export.tar `ls | egrep -v '^ssl.*\.[ch]$$'`

=== debian/changelog ===
netpipes (4.2-8) unstable; urgency=medium

  * Updating to Standards 3.9.6, compatibility 9.
  * FTBFS with gcc-5. (Closes: #778024)
    + debian/patches/30-support_ipv6.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 27 Jun 2015 16:56:16 +0200

netpipes (4.2-7) unstable; urgency=low

  * Updating to Standards 3.9.4, compatibility 8.
  * Hardening of source.
    + debian/control: Build-Depends on debhelper (>= 8).
    + debian/rules: Use dpkg-buildflags.
    + debian/patches/40-hardening.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 27 Jun 2013 20:27:34 +0200

netpipes (4.2-6) unstable; urgency=low

  * Rename `timelimit`, favouring an external package.
    + debian/patches/32-newline_timelimit.diff: New file.
    + debian/patches/33-rename_timelimit.diff: New file.
    + debian/NEWS: Mention this change.
  * debian/control: Fields for binary package.
    + Recommends `timelimit`.
    + Suggests `psmisc`.
    + Remove an outdated Conflicts field.
  * Progress to Standards 3.9.1.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 12 Apr 2011 11:45:02 +0200

netpipes (4.2-5) unstable; urgency=low

  * New maintainer. (Closes: #482399)
  * Migration to format "3.0 (quilt)".
  * Updating to Standards 3.8.4, compatibility 7:
    + Insert ${misc:Depends}.
  * debian/control:
    + Reformulation of description. (Closes: #503341)
    + Build depend on debhelper (>= 7.0.50~).
  * Previous patches to upstream source recovered and put to use:
    + 01-cleanup_manpage.diff
    + 02-tailored_makefile.diff
    + 11-missing_include-1.diff
    + 12-manpages_formatting.diff
  * Silence compiler warnings caused by missing prototypes.
    + debian/patches/20-socklen_typing.diff: New file.
  * Use debhelper 'dh':
    + debian/rules: Minimal target collection.
    + debian/patches/24-makefile_for_dh.diff: New file
  * Implement IPv6 support:
    + Closes: #203290
    + debian/patches/30-support_ipv6.diff: New file.
  * debian/README.Debian: Updated.
  * debian/NEWS: New file.
  * debian/watch: New file.
  * [lintian] debian/patches/22-manpage_width_error.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 23 Apr 2010 16:29:31 +0200

netpipes (4.2-4) unstable; urgency=low

  * QA Upload
    + change maintainer address to QA group
  * Improve copyright file
    + Add real copyright notice
    + Update upstream URL
  * Fix author of first Debian changelog entry
  * Debhelper update:
    + Bump compat level to 7
    + Increase dependency to >= 7
  * Remove unused cruft from rules
  * Add missing string.h include in timelimit.h
    (for strlen)
  * Support noopt build option
  * Fix various formatting errors in man pages

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 22 May 2008 15:44:18 +0200

netpipes (4.2-3) unstable; urgency=low

  * Added twisted/stable to conflicts. 
  * Renamed getpeername to getsockname. Closes: #202513

 -- Fabian Franz <debian@fabian-franz.de>  Mon, 28 Jul 2003 23:37:38 +0200

netpipes (4.2-2) unstable; urgency=low

  * Some fixes to make it linda and lintian compatible.
  * Initial upload. Closes: #201612

 -- Fabian Franz <debian@fabian-franz.de>  Thu, 17 Jul 2003 18:22:33 +0200

netpipes (4.2-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <knoppix@knopper.net>  Wed,  3 Apr 2002 01:40:54 +0200

=== debian/control ===
Source: netpipes
Section: net
Priority: optional
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://web.purplefrog.com/~thoth/netpipes/

Package: netpipes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: timelimit
Suggests: psmisc
Description: manipulate BSD TCP/IP stream sockets
 The netpipes package makes TCP/IP streams usable in shell
 scripts. It can also simplify client/server code by allowing
 the programmer to skip all the tedious programming bits related
 to sockets and concentrate on writing a filter, or other service.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS CFLAGS LDFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CDEBUGFLAGS += -g -O0 -Wall
else
	CDEBUGFLAGS += -g -O2 -Wall
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CDEBUGFLAGS="$(CDEBUGFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3

http://web.purplefrog.com/~thoth/netpipes/ftp/netpipes-([0-9.]+)-export\.tar\.gz	debian	uupdate
